Bug 608470 - Review Request: perl-Test-Script-Run - Test scripts with Perl
Review Request: perl-Test-Script-Run - Test scripts with Perl
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 13:20 EDT by Jérôme Fenal
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-11 09:21:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jérôme Fenal 2010-06-27 13:20:29 EDT
Spec URL: http://jfenal.free.fr/rpm/perl-Test-Script-Run.spec
SRPM URL: http://jfenal.free.fr/rpm/perl-Test-Script-Run-0.04-1.f13.src.rpm
Description: The Test::Script::Run perl module exports some subs to help test and run scripts in your distribution's bin/ directory, if the script path is not absolute.


FE-NEEDSPONSOR

This is my first package for Fedora, and I'm looking for a sponsor.
Comment 1 Remi Collet 2010-07-03 03:07:18 EDT
Quick notes (not yet a review)

Release must be fixed 1%{?dist}
(set %dist .fc13 in your .rpmmacros)

$ rpmlint -v perl-Test-Script-Run.spec /home/extras/SRPMS/perl-Test-Script-Run-0.04-1.fc8.src.rpm /home/extras/RPMS/noarch/perl-Test-Script-Run-0.04-1.fc8.noarch.rpm
perl-Test-Script-Run.spec: I: checking-url http://www.cpan.org/authors/id/S/SU/SUNNAVY/Test-Script-Run-0.04.tar.gz (timeout 10 seconds)
perl-Test-Script-Run.src: I: checking
perl-Test-Script-Run.src: I: checking-url http://search.cpan.org/dist/Test-Script-Run/ (timeout 10 seconds)
perl-Test-Script-Run.src: I: checking-url http://www.cpan.org/authors/id/S/SU/SUNNAVY/Test-Script-Run-0.04.tar.gz (timeout 10 seconds)
perl-Test-Script-Run.noarch: I: checking
perl-Test-Script-Run.noarch: I: checking-url http://search.cpan.org/dist/Test-Script-Run/ (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

=> ok


Replacing PERL_INSTALL_ROOT with DESTDIR would seem to be a good idea, given
the recent fun along those lines :)

Think about including %{?perl_default_filter} by default, even if just pro
forma.  It won't hurt anything and might save some pain down the line.


I hate "too wide" wildcard in %file, so a more precise could be
%{perl_vendorlib}/Test
%{_mandir}/man3/Test*

N.B. /usr/share/perl5/Test is already owned by perl-Test-Exception (which is required), so you don't need to own it (Guidelines says "MUST: Packages must not own files or directories already owned by other packages."), but this is F >= 13 specific. F <= 12 use /usr/lib/perl5/vendor_perl/5.10.0/Test which must be owned.

Mock for EL-5 enter a infinite root.
   Sorry! since you don't have any existing picks, you must make a
   geographic selection.
   (1) Africa
   (2) Asia
   (3) Australasia
   (4) Central America
   (5) Europe
   (6) North America
   (7) Oceania
   (8) South America
   Select your continent (or several nearby continents) [] 
Probably because
DEBUG util.py:255:  Aucun paquet trouvé pour perl(IPC::Run3)

Mock for F-13 is ok.

Koji scratch buld for rawhide (perl 5.12.1) is ok
http://koji.fedoraproject.org/koji/taskinfo?taskID=2291633
Comment 2 Jérôme Fenal 2010-07-05 14:42:26 EDT
Now tracking changes with git at http://github.com/jfenal/perl-Test-Script-Run.

Followed all recommandations:
- release naming
- file globbing 
- DESTDIR
- %{?perl_default_filter} 

$ rpmlint ~/rpm/RPMS/noarch/perl-Test-Script-Run-0.04-2.fc13.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint ~/rpm/SRPMS/perl-Test-Script-Run-0.04-2.fc13.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Packages & spec available at
- http://jfenal.free.fr/rpm/perl-Test-Script-Run.spec
- http://jfenal.free.fr/rpm/perl-Test-Script-Run-0.04-2.fc13.src.rpm
Comment 3 Jérôme Fenal 2010-07-05 14:43:36 EDT
Oh, and for EPEL, yes, this can't work as IPC::Run3 is not yet pushed from Fedora to EPEL.
Comment 4 Remi Collet 2010-07-11 11:45:09 EDT
> %{perl_vendorlib}/Test/Script/Run.pm

With this line, you only own then .pm file.
According to Guidelines "A package must own all directories that it creates"

So you must own test and script folder.

Simple way:
%{perl_vendorlib}/Test

Very descriptive way:
%dir %{perl_vendorlib}/Test
%dir %{perl_vendorlib}/Test/Script
%{perl_vendorlib}/Test/Script/Run.pm


Everything else seems ok.
Comment 6 Remi Collet 2010-07-12 03:32:08 EDT
=== FORMAL REVIEW ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2312420
 [x] Rpmlint output:
perl-Test-Script-Run.src: I: checking
perl-Test-Script-Run.src: I: checking-url http://search.cpan.org/dist/Test-Script-Run/ (timeout 10 seconds)
perl-Test-Script-Run.src: I: checking-url http://www.cpan.org/authors/id/S/SU/SUNNAVY/Test-Script-Run-0.04.tar.gz (timeout 10 seconds)
perl-Test-Script-Run.noarch: I: checking
perl-Test-Script-Run.noarch: I: checking-url http://search.cpan.org/dist/Test-Script-Run/ (timeout 10 seconds)
perl-Test-Script-Run.spec: I: checking-url http://www.cpan.org/authors/id/S/SU/SUNNAVY/Test-Script-Run-0.04.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
ed398196b5ce6496e70bd9c5ada8d9e4  Test-Script-Run-0.04.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.
=> perl exception for %{perl_vendorlib}/Test
=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-12-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on (dist-f14): http://koji.fedoraproject.org/koji/taskinfo?taskID=2312420
 [-] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/00.load.t t/01.run.t
t/00.load.t .. 1/1 # Testing Test::Script::Run 0.04
t/00.load.t .. ok   
t/01.run.t ... couldn't find the script at /home/extras/BUILD/Test-Script-Run-0.04/blib/lib/Test/Script/Run.pm line 188.
t/01.run.t ... 1/38 couldn't find the script at /home/extras/BUILD/Test-Script-Run-0.04/blib/lib/Test/Script/Run.pm line 188, <$fh> line 5.
t/01.run.t ... ok     
All tests successful.
Files=2, Tests=39,  1 wallclock secs ( 0.03 usr  0.00 sys +  0.15 cusr  0.06 csys =  0.24 CPU)
Result: PASS
 [!] Final requires
perl(IPC::Run3)  
perl(Test::Exception)  
perl(:MODULE_COMPAT_5.10.1)  
perl(base)  
perl(File::Basename)  
perl(File::Spec)  
perl(IPC::Run3)  
perl(strict)  
perl(Test::Exception)  
perl(Test::More)  
perl(warnings)  
 [x] Final provides
perl(Test::Exception) = 0.29
perl-Test-Exception = 0.29-1.fc13


As perl(IPC::Run3) and perl(Test::Exception) dependencies are auto-detected (and list twice), please remove them from Requires (sorry to have missed this in previous pass).
Comment 8 Remi Collet 2010-07-14 01:14:10 EDT
All "MUST" fixed

*** APPROVED ***
Comment 9 Jérôme Fenal 2010-07-21 15:52:54 EDT
Hi all, anything I can do in order to be able to set fedora-cvs=? flag ?

Thanks, J.
Comment 10 Remi Collet 2010-07-23 03:09:38 EDT
Jérôme : you must be in the packager group to change this flag.

Before adding you to this group I'm waiting for
- your FAS account 
- a test review (as discussed)

Remi.
Comment 11 Jérôme Fenal 2010-07-23 07:33:46 EDT
Remi,

Sorry for the confusion, here they are (also sent in private) :
- FAS : jfenal
- Test review : https://bugzilla.redhat.com/show_bug.cgi?id=597700#c3

Regards,

J.
Comment 12 Jérôme Fenal 2010-09-21 17:02:26 EDT
Hi, any remaining task I need to take care of, before going on on this request?
Comment 13 Jérôme Fenal 2010-10-09 06:11:36 EDT
New Package SCM Request
=======================
Package Name: perl-Test-Script-Run
Short Description: Test the script with run
Owners: jfenal
Branches: el5 el6 f13 f14
InitialCC:
Comment 14 Kevin Fenzi 2010-10-10 00:22:48 EDT
Git done (by process-git-requests).
Comment 15 Emmanuel Seyman 2011-08-11 09:21:18 EDT
This looks fixed (the module has been build and released). Closing.

Note You need to log in before you can comment on or make changes to this bug.